summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:49:06 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:49:06 +0000
commit79b697eb30875bb323cce0104a90726418015a46 (patch)
tree07bce6dd45d5632a5ea093afd578a039f790900d /dmake/tests
parentbbbbc4c2b862ad3575083eea78c57bec66211249 (diff)
INTEGRATION: CWS dmake411 (1.1.2); FILE ADDED
2007/09/17 22:24:32 vq 1.1.2.2: #i78776# Fix testcases for non-cygwin OS. 2007/07/25 00:31:15 vq 1.1.2.1: #i78776# Add testcases.
Diffstat (limited to 'dmake/tests')
-rwxr-xr-xdmake/tests/function_macros-8101
-rwxr-xr-xdmake/tests/macros-776
2 files changed, 177 insertions, 0 deletions
diff --git a/dmake/tests/function_macros-8 b/dmake/tests/function_macros-8
new file mode 100755
index 000000000000..911b1cff306a
--- /dev/null
+++ b/dmake/tests/function_macros-8
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# 24.07.2007 Volker Quetschke
+# Test the $(normpath ..) function macro.
+# (issue 78776)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Test 1 - Test if normpath works.
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.WINPATH:=
+
+all :
+ @echo 1\$(normpath /tmp/./a "/tmp/a b/xxx/../b" /tmp)1
+EOT
+
+output1=`eval ${DMAKEPROG} -r -f $file1`
+result1=$?
+if test "$output1" != "1/tmp/a \"/tmp/a b/b\" /tmp1"; then
+ echo "Subtest 1: Wrong result: $output1"
+ result1=1
+else
+ echo "Subtest 1: OK"
+fi
+
+# Test 2 - Test if normpath honors .WINPATH setting
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+all .WINPATH :
+ @echo 2\$(normpath /tmp)2
+
+EOT
+
+output2=`eval ${DMAKEPROG} -r -f $file1`
+result2=$?
+if test x`uname -o 2> /dev/null` = "xCygwin"; then
+ if test "$output2" != "2`cygpath -m /tmp`2"; then
+ echo "Subtest 2: Wrong result: $output2"
+ result2=1
+ else
+ echo "Subtest 2: OK"
+ fi
+else
+ if test "$output2" != "2/tmp2"; then
+ echo "Subtest 2: Wrong result: $output2"
+ result2=1
+ else
+ echo "Subtest 2: OK"
+ fi
+fi
+
+# Test 3 - Test if the optional parameter works
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+all :
+ @echo 3\$(normpath,"" /tmp)3\$(normpath,"abc" /tmp)3
+
+EOT
+
+output3=`eval ${DMAKEPROG} -r -f $file1`
+result3=$?
+if test x`uname -o 2> /dev/null` = "xCygwin"; then
+ if test "$output3" != "3/tmp3`cygpath -m /tmp`3"; then
+ echo "Subtest 3: Wrong result: $output3"
+ result3=1
+ else
+ echo "Subtest 3: OK"
+ fi
+else
+ if test "$output3" != "3/tmp3/tmp3"; then
+ echo "Subtest 3: Wrong result: $output3"
+ result3=1
+ else
+ echo "Subtest 3: OK"
+ fi
+fi
+
+
+if test $result1 -eq 0 -a $result2 -eq 0 \
+ -a $result3 -eq 0 ; then
+ echo "Success - Cleaning up" && rm -f ${tmpfiles}
+ exit
+else
+ echo "Failure!"
+ exit 1
+fi
diff --git a/dmake/tests/macros-7 b/dmake/tests/macros-7
new file mode 100755
index 000000000000..2c7d0849172f
--- /dev/null
+++ b/dmake/tests/macros-7
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# 24.07.2007 Volker Quetschke
+# Test the $(macro:n) macro extension.
+# (issue 78776)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Test 1 - Test if :n works.
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.WINPATH:=
+
+MACRO:=/tmp/./a "/tmp/a b/xxx/../b" /tmp
+
+all :
+ @echo 1\$(MACRO:n)1
+EOT
+
+output1=`eval ${DMAKEPROG} -r -f $file1`
+result1=$?
+if test "$output1" != "1/tmp/a \"/tmp/a b/b\" /tmp1"; then
+ echo "Subtest 1: Wrong result: $output1"
+ result1=1
+else
+ echo "Subtest 1: OK"
+fi
+
+# Test 2 - Test if the .WINPATH setting is honored
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+MACRO:=/tmp
+
+all .WINPATH :
+ @echo 2\$(MACRO:n)2
+
+EOT
+
+output2=`eval ${DMAKEPROG} -r -f $file1`
+result2=$?
+if test x`uname -o 2> /dev/null` = "xCygwin"; then
+ if test "$output2" != "2`cygpath -m /tmp`2"; then
+ echo "Subtest 2: Wrong result: $output2"
+ result2=1
+ else
+ echo "Subtest 2: OK"
+ fi
+else
+ if test "$output2" != "2/tmp2"; then
+ echo "Subtest 2: Wrong result: $output2"
+ result2=1
+ else
+ echo "Subtest 2: OK"
+ fi
+fi
+
+
+if test $result1 -eq 0 -a $result2 -eq 0 ; then
+ echo "Success - Cleaning up" && rm -f ${tmpfiles}
+ exit
+else
+ echo "Failure!"
+ exit 1
+fi